4 Replies Latest reply on Jan 17, 2012 12:23 PM by elfuhrer

    Solder Logging Error

    elfuhrer Novice

      I just did an upgrade to Seam 3.1.0.Final from Seam 3.0.0.Final, everything seems to be working fine except my Arquillian tests which are complaining that the Logger cannot be injected



      Caused by: org.jboss.weld.exceptions.DeploymentException: WELD-001408 Unsatisfied dependencies for type [Logger] with qualifiers [@Default] at injection point [[field] @Inject org.webpatterns.platform.identity.test.IdentityManagerTest.log]
              at org.jboss.weld.bootstrap.Validator.validateInjectionPoint(Validator.java:270)
              at org.jboss.weld.bootstrap.Validator.validateBean(Validator.java:106)
              at org.jboss.weld.bootstrap.Validator.validateRIBean(Validator.java:129)
              at org.jboss.weld.bootstrap.Validator.validateBeans(Validator.java:351)
              at org.jboss.weld.bootstrap.Validator.validateDeployment(Validator.java:336)
              at org.jboss.weld.bootstrap.WeldBootstrap.validateBeans(WeldBootstrap.java:404)
              at org.jboss.as.weld.WeldContainer.start(WeldContainer.java:82)
              at org.jboss.as.weld.services.WeldService.start(WeldService.java:89)
              ... 5 more
      



      My dependencies are correctly updated and this is the chuck of the arquillian test that has the solder dependencies


      .addAsLibraries(MavenArtifactResolver.resolve("org.jboss.solder", "solder-api", "3.1.0.Final"))
      .addAsLibraries(MavenArtifactResolver.resolve("org.jboss.solder", "solder-impl", "3.1.0.Final"))
      .addAsLibraries(MavenArtifactResolver.resolve("org.jboss.solder", "solder-tooling", "3.1.0.Final"))
      .addAsLibraries(MavenArtifactResolver.resolve("org.jboss.solder", "solder-logging", "3.1.0.Final"))



      What is the missing dependency out there? I'm using jboss-as-7.0.2.Final


      Cheers